Попробуйте самый простой и быстрый способ 
установки OnlyOffice

Создадим скрипт для бэкапа docker версии?

Создадим скрипт для бэкапа docker версии?

Сообщение koval » Чт апр 06, 2017 12:26 pm

Существует ли в природе скрипт для бэкапа Сommunityserver, Document Server и Mail Server docker версий ?
koval
 
Сообщения: 15
Зарегистрирован: Вс авг 14, 2016 10:23 pm

Re: Создадим скрипт для бэкапа docker версии?

Сообщение Ivan » Чт апр 06, 2017 12:42 pm

Добрый день!
Для open source версии ONLYOFFICE Вы можете выполнять бекап вручную: по умолчанию все данные ONLYOFFICE хранятся в директории /app/onlyoffice. В Enterprise Edition есть возможность резервного копирования в Панели Управления.
Ivan
 
Сообщения: 413
Зарегистрирован: Ср окт 26, 2016 12:53 pm

Re: Создадим скрипт для бэкапа docker версии?

Сообщение koval » Пт апр 07, 2017 10:16 am

Вот мой пример скрипта

Код: Выделить всё

#!/bin/sh

##########SET VARIABLES##########

DockerCommunityServer=ad3f59abf36a    #Set container id. Use sudo docker ps . Should be something like ad3f59abf36e
DockerDocumentServer=ad3f59abf36b     #Set container id. Use sudo docker ps . Should be something like ad3f59abf36e
MailServer=ad3f59abf36c                        #Set container id. Use sudo docker ps . Should be something like ad3f59abf36e
BackupDir=/home/backup/ # Set full path to the folder for backup
OnlyofficeApp=/app/aonlyoffice/ #Set full path to onlyoffice app folder. Default is /app/onlyoffice



TIMESTAMP=`date +%Y-%m-%d`

############################

##### Check if backup folder exist #####
if [ ! -d "$BackupDir" ]; then
  echo 'ERROR: Please set correct folder for backup' 1>&2
  exit 1
fi

##### Check if APP folder exist #####
if [ ! -d "$OnlyofficeApp" ]; then
  echo 'ERROR: Please set correct folder for office volume app' 1>&2
  exit 1
fi


##### Stopping container #####
docker stop --time=120 $DockerCommunityServer
docker stop --time=120 $DockerDocumentServer
docker stop --time=120 $MailServer

#####Archiving APP folder #####
tar -cvzf "$BackupDir"/Onlyoffice-"$TIMESTAMP".tar.gz "$OnlyofficeApp"

if [ "$?" = "0" ]; then

######## Start container ########
   docker start $DockerCommunityServer
   docker start $DockerDocumentServer
   docker start $MailServer

exit 0
   
else
    echo "Cannot TAR file!" 1>&2
    docker start $DockerCommunityServer
    docker start $DockerDocumentServer
    docker start $MailServer
    exit 1
fi



Вопрос в том как корректно останавливать контейнер.
Если docker stop $DockerCommunityServer то непонятно как долго ждать пока контейнер остановиться.
Если docker stop --time=120 $DockerCommunityServer то непонятно хватить ли 120 секунд для остановки.

Может корректней зайти в докер и там остановить все службы, а потом останавливать контейнер?

Правки приветствуются.
Последний раз редактировалось koval Вт апр 11, 2017 7:51 pm, всего редактировалось 1 раз.
koval
 
Сообщения: 15
Зарегистрирован: Вс авг 14, 2016 10:23 pm

Как корректно остановить докер контейнер без потери данных

Сообщение koval » Пт апр 07, 2017 6:03 pm

Здравствуйте.

Подскажите как корректно остановыть докер контейнер без потери данных.

Если сделать

Код: Выделить всё
docker stop  $containerID
то нужно очень дого ждать пока остановиться. Больше 20 минут.

Чтобы этого избежать пробую запускать
Код: Выделить всё
docker stop --time=120 $containerID


только не очень понятно достаточно ли 2 минути на закрытие всех процесов в контейнере.
Может есть другие более корректные способы?
koval
 
Сообщения: 15
Зарегистрирован: Вс авг 14, 2016 10:23 pm

Re: Создадим скрипт для бэкапа docker версии?

Сообщение Ivan » Пн апр 10, 2017 3:12 pm

Добрый день!
Контейнер Community Server останавливается сразу после выполнения команды docker stop container_ID. Вы можете проверить это командой docker ps (выводит список запущенных контейнеров).
От имени администрации просим Вас не повторять сообщения в разных темах.
Ivan
 
Сообщения: 413
Зарегистрирован: Ср окт 26, 2016 12:53 pm

Re: Создадим скрипт для бэкапа docker версии?

Сообщение koval » Вт апр 11, 2017 9:33 am

Ivan писал(а):Добрый день!
Контейнер Community Server останавливается сразу после выполнения команды docker stop container_ID. Вы можете проверить это командой docker ps (выводит список запущенных контейнеров).
От имени администрации просим Вас не повторять сообщения в разных темах.



Здравствуйте!

Проверил на последней версии контейнеров. Вроде все останавливаеться относительно быстро. На предыдущей версии контейнера 5 минут для таймаута было мало.

Спасибо.

За дубль теми извиняюсь. Больше не буду.
koval
 
Сообщения: 15
Зарегистрирован: Вс авг 14, 2016 10:23 pm

Re: Создадим скрипт для бэкапа docker версии?

Сообщение Ivan » Вт апр 11, 2017 9:56 am

Спасибо Вам за интерес к нашему продукту.
Ivan
 
Сообщения: 413
Зарегистрирован: Ср окт 26, 2016 12:53 pm


Вернуться в Разное

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 1

cron